Gem::Specification.new do |s|
  s.name = "x_do_bindings"
  s.version = "0.2.1"

  s.authors = ["Victor Costan", "Paul Kwiatkowski", "Nick Sinopoli"]
  s.date = "2015-05-27"
  s.description = "Wraps libxdo using ffi, for high performance"
  s.email = "victor@costan.us"
  s.extra_rdoc_files = [
    "LICENSE.txt",
    "README.rdoc"
  ]
  s.files = [
    ".document",
    ".project",
    ".rspec",
    "Gemfile",
    "Gemfile.lock",
    "LICENSE.txt",
    "README.rdoc",
    "Rakefile",
    "VERSION",
    "lib/x_do.rb",
    "lib/x_do/context.rb",
    "lib/x_do/ffi_autogen.rb",
    "lib/x_do/ffi_functions.rb",
    "lib/x_do/ffi_lib.rb",
    "lib/x_do/ffi_lib_ext.rb",
    "lib/x_do/keyboard.rb",
    "lib/x_do/mouse.rb",
    "lib/x_do/window.rb",
    "spec/spec_helper.rb",
    "spec/support/stdlib.rb",
    "spec/x_do/context_spec.rb",
    "spec/x_do/ffi_lib_ext_spec.rb",
    "spec/x_do/keyboard_spec.rb",
    "spec/x_do/mouse_spec.rb",
    "spec/x_do/window_spec.rb",
    "tasks/ffi_codegen.rb",
    "x_do.gemspec"
  ]
  s.homepage = "https://github.com/NSinopoli/x_do"
  s.licenses = ["MIT"]
  s.require_paths = ["lib"]
  s.summary = "Ruby FFI for libxdo (X mouse / keypress injector)"

  s.add_runtime_dependency 'ffi', '1.9.8'

  s.add_development_dependency 'rdoc', '4.2.0'
  s.add_development_dependency 'rspec', '3.2.0'
  s.add_development_dependency 'bundler', '1.9.9'
end

